# SetMyCommands - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.requests.bot / SetMyCommands

# SetMyCommands

(common) `class SetMyCommands : SimpleRequest<Boolean>` (source)

### Constructors

(common)

#### <init>

`SetMyCommands(commands: List<BotCommand>)`

### Properties

(common)

#### commands

`val commands: List<BotCommand>`

(common)

#### requestSerializer

`val requestSerializer: SerializationStrategy<*>`

(common)

#### resultDeserializer

`val resultDeserializer: DeserializationStrategy<Boolean>`

### Functions

(common)

#### method

`fun method(): String`